package com.contabilidad.EntConta;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Entity
@Table(name = "con_partidas", schema = "dbcontabilidad")
public class Partidas implements Serializable {
    @EmbeddedId
    protected PartidasPK  partidasPK;

    @Column(name = "cargo_partida")
    private BigDecimal cargoPartida;

    @Column(name = "abono_partida")
    private BigDecimal abonoPartida;
    @Column(name = "fecha_partida")
    private Date fechaPartida;

    @Column(name = "concepto")
    private String concepto;

    @Column(name = "fecha_modificacion")
    private String fechaModificacion;

    @Column(name = "usuario_modifica")
    private String usuarioModifica;


    public PartidasPK getPartidasPK() {
        return partidasPK;
    }

    public void setPartidasPK(PartidasPK partidasPK) {
        this.partidasPK = partidasPK;
    }

    public BigDecimal getCargoPartida() {
        return cargoPartida;
    }

    public void setCargoPartida(BigDecimal cargoPartida) {
        this.cargoPartida = cargoPartida;
    }

    public BigDecimal getAbonoPartida() {
        return abonoPartida;
    }

    public void setAbonoPartida(BigDecimal abonoPartida) {
        this.abonoPartida = abonoPartida;
    }

    public Date getFechaPartida() {
        return fechaPartida;
    }

    public void setFechaPartida(Date fechaPartida) {
        this.fechaPartida = fechaPartida;
    }

    public String getConcepto() {
        return concepto;
    }

    public void setConcepto(String concepto) {
        this.concepto = concepto;
    }

    public String getFechaModificacion() {
        return fechaModificacion;
    }

    public void setFechaModificacion(String fechaModificacion) {
        this.fechaModificacion = fechaModificacion;
    }

    public String getUsuarioModifica() {
        return usuarioModifica;
    }

    public void setUsuarioModifica(String usuarioModifica) {
        this.usuarioModifica = usuarioModifica;
    }

    public Partidas() {
    }



}
